/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.chart.client.chart;

import com.google.gwt.i18n.client.NumberFormat;
import com.sencha.gxt.chart.client.chart.series.SeriesLabelProvider;
import com.sencha.gxt.core.client.ValueProvider;

/**
 * A label provider that provider rounded numbers.
 * 
 * @param <V> the type of the number
 */
public class SeriesRoundNumberProvider<M> implements SeriesLabelProvider<M> {
  @Override
  public String getLabel(M item, ValueProvider<M, ? extends Number> valueProvider) {
    return NumberFormat.getFormat("0").format(valueProvider.getValue(item).doubleValue());
  }

}
